using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkDgGeneralLinkConvertLkItemDTO
{

    /*
        商品ID
    */
    private string? itemId;


    /*
        入参商品id下的skuid，传入时会透传至转链结果url中
    */
    private long? skuId;


    /*
        是否指定券，1-指定 0-不指定 默认为0（邀约制权限，仅面向KA淘宝客）
    */
    private long? isTargetCoupon;


    /*
        优惠券id（邀约制权限，仅面向KA淘宝客）
    */
    private string? couponId;


    /*
        淘宝客外部用户标记，如自身系统账户ID；微信ID等
    */
    private string? externalId;


    /*
        1表示商品转通用计划链接，其他值或不传表示转最优佣金率（含营销计划）链接
    */
    private string? dx;


    /*
        商品库账号ID
    */
    private long? managePubId;



    [JsonPropertyName("item_id")]
    public string? ItemId
    {
        get => itemId;
        set => this.itemId = value;
    }

    [JsonPropertyName("sku_id")]
    public long? SkuId
    {
        get => skuId;
        set => this.skuId = value;
    }

    [JsonPropertyName("is_target_coupon")]
    public long? IsTargetCoupon
    {
        get => isTargetCoupon;
        set => this.isTargetCoupon = value;
    }

    [JsonPropertyName("coupon_id")]
    public string? CouponId
    {
        get => couponId;
        set => this.couponId = value;
    }

    [JsonPropertyName("external_id")]
    public string? ExternalId
    {
        get => externalId;
        set => this.externalId = value;
    }

    [JsonPropertyName("dx")]
    public string? Dx
    {
        get => dx;
        set => this.dx = value;
    }

    [JsonPropertyName("manage_pub_id")]
    public long? ManagePubId
    {
        get => managePubId;
        set => this.managePubId = value;
    }

}

